<template>
  <div class="height_100">
    <basicMessageEdit v-if="edit" v-bind="$attrs"></basicMessageEdit>
    <basicMessageDetails v-else v-bind="$attrs"></basicMessageDetails>
  </div>
</template>

<script>
import basicMessageDetails from './basicMessageDetails.vue';
import basicMessageEdit from './basicMessageEdit.vue';
export default {
  components: {
    basicMessageDetails,
    basicMessageEdit
  },
  props: {
    edit:{
        default:false,
    }
  },
  data() {
    return {
    };
  },
  watch: {},
  computed: {},
  created() {},
  mounted() {},
  methods: {},
};
</script>
<style lang="scss" scoped>
</style>